Subject: Re: bug#39141: [Filippo Marini] Re: bug#39141: 26.3; vhdl-mode speedbar does not work when displaying vhdl directories

From: Matt Armstrong <[email-masked]>
Date: Thu, 11 Feb 2021 16:30:52 -0800

Filippo Marini <[email-masked]> writes:
>
> To recreate this problem you could clone my repo
>
> https://github.com/FilMarini/FPGA_CDR_core
>
> and open a *.vhd file placed in src/hdl
>
>>From there
>
> * open the speedbar
> * select Speedbar > Displays > VHDL Directories
>
>>From there, with the pre-installed vhdl-mode you can not expand the files
> (by typying the '+' symbol at the beginning of every file name), while if
> you install vhdl-mode from source, the file expands as it is supposed to.
>
> I will attach a screenshot on how the expansion should look like with
> vhdl-mode
>
> Thank you,
> sorry again for the late reply.
>
> Filippo

Hi Filippo,

I verified that both Emacs 27.1 and the current Emacs mainline (future
Emacs 28) operate properly. They can produce images similar to your
attached screenshot after following your instructions. I have no way to
conveniently try this on Emacs 26.3.

I verified this with "emacs -Q", which runs without any of my local
configuration. Did you try it that way?

If you can conveniently run a newer version of Emacs, you might try
that.

I suggest we close this bug, unless Lars things fixing it in Emacs 26 is
worth the effort.